----------------------------
-- Sphere Tooltip Creator --
----------------------------
local addon, ns = ...
local ss = ns.SS

local CreateFrame = CreateFrame

local mtGeneralTooltip = {}

--- Creates a new micro sphere tooltip.
-- @param index The micro sphere index.
-- @param region The display region.
-- The tooltip frame.
--
function mtGeneralTooltip:New(index, region)
  region = region or ""

  local tooltip = CreateFrame("GameTooltip", ss._f..region.."MicroSphereTooltip"..index, nil, "GameToolTipTemplate")
  tooltip.FontString1 = tooltip:CreateFontString("FontString1")
  tooltip.FontString1:SetFont(ss.private.font.general, 16)

  return tooltip
end

ss.Utils.addModule("GeneralTooltip", mtGeneralTooltip)
